Bug 425918 - dvd+rw-tools crash (LANG != C)
dvd+rw-tools crash (LANG != C)
Status: CLOSED DUPLICATE of bug 426068
Product: Fedora
Classification: Fedora
Component: dvd+rw-tools (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 03:07 EST by antonio montagnani
Modified: 2008-02-18 09:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 09:56:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description antonio montagnani 2007-12-17 03:07:34 EST
Description of problem:
When I start k3b I get the message that it is not possible to find dvd+rw-format
executable
K3 uses DVD+RW to format DVD-RW and DVD+RW
Solution: to install dvd+rw-tools
But dvd+rw-tools i s already installed.


Version-Release number of selected component (if applicable):
k3b-1.0.4-5.fc9
dvd+rw-tools-7.0-8.fc9

How reproducible:
Always

Steps to Reproduce:
1.Start k3b
2.
3.
  
Actual results:
A window with complains

Expected results:
smotth run

Additional info:

from a report of shrek-m@gmx.de
$ k3b
   warning, go to program, search

==>
bash-3.2$ *** buffer overflow detected ***: /usr/bin/dvd+rw-format
terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xa89768]
/lib/libc.so.6[0xa87e10]
/lib/libc.so.6[0xa887ec]
/usr/bin/dvd+rw-format[0x8048ed6]
/usr/bin/dvd+rw-format[0x804ae25]
/lib/libc.so.6(__libc_start_main+0xe0)[0x9b34a0]
/usr/bin/dvd+rw-format[0x8048bf1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
001b6000-001c1000 r-xp 00000000 08:03 2681895
/lib/libgcc_s-4.1.2-20071124.so.1
001c1000-001c2000 rwxp 0000a000 08:03 2681895
/lib/libgcc_s-4.1.2-20071124.so.1
00223000-00303000 r-xp 00000000 08:03 4355103    /usr/lib/libstdc++.so.6.0.8
00303000-00307000 r-xp 000df000 08:03 4355103    /usr/lib/libstdc++.so.6.0.8
00307000-00308000 rwxp 000e3000 08:03 4355103    /usr/lib/libstdc++.so.6.0.8
00308000-0030e000 rwxp 00308000 00:00 0
0097e000-00999000 r-xp 00000000 08:03 2681741    /lib/ld-2.7.90.so
00999000-0099a000 r-xp 0001a000 08:03 2681741    /lib/ld-2.7.90.so
0099a000-0099b000 rwxp 0001b000 08:03 2681741    /lib/ld-2.7.90.so
0099d000-00af4000 r-xp 00000000 08:03 2681751    /lib/libc-2.7.90.so
00af4000-00af6000 r-xp 00157000 08:03 2681751    /lib/libc-2.7.90.so
00af6000-00af7000 rwxp 00159000 08:03 2681751    /lib/libc-2.7.90.so
00af7000-00afa000 rwxp 00af7000 00:00 0
00afc000-00b23000 r-xp 00000000 08:03 2681870    /lib/libm-2.7.90.so
00b23000-00b24000 r-xp 00026000 08:03 2681870    /lib/libm-2.7.90.so
00b24000-00b25000 rwxp 00027000 08:03 2681870    /lib/libm-2.7.90.so
00b2e000-00b43000 r-xp 00000000 08:03 2681923    /lib/libpthread-2.7.90.so
00b43000-00b44000 r-xp 00014000 08:03 2681923    /lib/libpthread-2.7.90.so
00b44000-00b45000 rwxp 00015000 08:03 2681923    /lib/libpthread-2.7.90.so
00b45000-00b47000 rwxp 00b45000 00:00 0
08048000-08050000 r-xp 00000000 08:03 4357203    /usr/bin/dvd+rw-format
08050000-08051000 rw-p 00007000 08:03 4357203    /usr/bin/dvd+rw-format
08c62000-08c83000 rw-p 08c62000 00:00 0
b7d3d000-b7f3d000 r--p 00000000 08:03 4357865
/usr/lib/locale/locale-archive
b7f3d000-b7f40000 rw-p b7f3d000 00:00 0
b7f55000-b7f56000 rw-s 00000000 08:03 2354855
/tmp/dvd+rw-format.FL3045 (deleted)
bfd97000-bfdac000 rw-p bffea000 00:00 0          [stack]
Comment 1 shrek-m 2007-12-17 07:22:08 EST
$ LANG=C k3b

and it seems to be ok.
dvd+rw-format is now listed under  settings/configure/programs

i have no dvd-rw medium for testing if it really works.
--------
k3b-1.0.4-5.fc9
dvd+rw-tools-7.0-8.fc9
Comment 2 Kevin Kofler 2007-12-18 07:55:36 EST
That's a buffer overflow in dvd+rw-format, reassigning to dvd+rw-tools.
Comment 3 antonio montagnani 2008-02-11 13:10:40 EST
I get same error with dvd+rw-tools-7.0-8.fc9 and k3b-1.0.4-5.fc9
Comment 4 Rex Dieter 2008-02-11 13:22:04 EST
Re: comment #1
maybe locale has an effect here.  Antonio, what locale are you using?
Comment 5 antonio montagnani 2008-02-11 16:33:22 EST
I am set on Italian, but anyway I apologize because I reported same bug twice
(first time Dec.17, 2007).

Does it affect any functionality of k3b???
Comment 6 Rex Dieter 2008-02-12 17:15:20 EST
Antonio, k3b uses dvd+rw tools to do the actual dvd writing/burning.  
Comment 7 Rex Dieter 2008-02-18 09:54:12 EST
*** Bug 429096 has been marked as a duplicate of this bug. ***
Comment 8 Rex Dieter 2008-02-18 09:56:03 EST

*** This bug has been marked as a duplicate of 426068 ***

Note You need to log in before you can comment on or make changes to this bug.